'use strict';

define([
	'app',
	'libraries/language'
	], function(app, LANGUAGE) {
	app.controller("destinationAmazonS3", ["$scope", function ($scope) {

		/*
		$scope.amazonregions = [
			{ label: LANGUAGE.translate("US East (N. Virginia)"), value: 'us-east-1' },
			{ label: LANGUAGE.translate("US East (Ohio)"), value: 'us-east-2' },
			{ label: LANGUAGE.translate("US West (Oregon)"), value: 'us-west-2' },
			{ label: LANGUAGE.translate("US West (N. California)"), value: 'us-west-1' },
			{ label: LANGUAGE.translate("EU (Frankfurt)"), value: 'eu-central-1' },
			{ label: LANGUAGE.translate("EU (Ireland)"), value: 'eu-west-1' },
			{ label: LANGUAGE.translate("EU (London)"), value: 'eu-west-2' },
			{ label: LANGUAGE.translate("EU (Paris)"), value: 'eu-west-3' },
			{ label: LANGUAGE.translate("Asia Pacific (Singapore)"), value: 'ap-southeast-1' },
			{ label: LANGUAGE.translate("Asia Pacific (Tokyo)"), value: 'ap-northeast-1' },
			{ label: LANGUAGE.translate("Asia Pacific (Sydney)"), value: 'ap-southeast-2' },
			{ label: LANGUAGE.translate("Asia Pacific (Seoul)"), value: 'ap-northeast-2' },
			{ label: LANGUAGE.translate("Asia Pacific (Mumbai)"), value: 'ap-south-1' },
			{ label: LANGUAGE.translate("South America (São Paulo)"), value: 'sa-east-1' },
			{ label: LANGUAGE.translate("Canada (Central)"), value: 'ca-central-1' }
		];
		*/

		$scope.amazonregions = {
			'us-east-1': LANGUAGE.translate("US East (N. Virginia)"),
			'us-east-2': LANGUAGE.translate("US East (Ohio)"),
			'us-west-2': LANGUAGE.translate("US West (Oregon)"),
			'us-west-1': LANGUAGE.translate("US West (N. California)"),
			'eu-central-1': LANGUAGE.translate("EU (Frankfurt)"),
			'eu-west-1': LANGUAGE.translate("EU (Ireland)"),
			'eu-west-2': LANGUAGE.translate("EU (London)"),
			'eu-west-3': LANGUAGE.translate("EU (Paris)"),
			'eu-north-1': LANGUAGE.translate("EU (Stockholm)"),
			'ap-southeast-1': LANGUAGE.translate("Asia Pacific (Singapore)"),
			'ap-northeast-1': LANGUAGE.translate("Asia Pacific (Tokyo)"),
			'ap-southeast-2': LANGUAGE.translate("Asia Pacific (Sydney)"),
			'ap-northeast-2': LANGUAGE.translate("Asia Pacific (Seoul)"),
			'ap-south-1': LANGUAGE.translate("Asia Pacific (Mumbai)"),
			'sa-east-1': LANGUAGE.translate("South America (São Paulo)"),
			'ca-central-1': LANGUAGE.translate("Canada (Central)")
		};

	}]);
});