'use strict';

define([
	'app',
	'libraries/language'
	], function(app, LANGUAGE) {
	app.controller("plugins",
		["$rootScope", "$scope", "$location", "$timeout", "$interval", "SweetAlert", "jetapi", "meta",
			function ($rootScope, $scope, $location, $timeout, $interval, SweetAlert, jetapi, meta) {
				$rootScope.$emit('menuItem', 'Plugins');

				$scope.plugins = [];

				jetapi.listPlugins({}, function (response) {
					$scope.plugins = response.data.plugins;
				});
			}
		]
	);
});