'use strict';

define([
	'app',
	'libraries/language'
	], function(app, LANGUAGE) {
	app.controller("generalSettings", ["$rootScope", "$scope", "jetapi", "SweetAlert",
		function ($rootScope, $scope, jetapi, SweetAlert) {

			$scope.generateMasterPrivateKey = function () {

				jetapi.generateRootEncryptionKey({}, function (response) {

					if(response.success) {
						SweetAlert.success(LANGUAGE.translate("Success!"), LANGUAGE.translate(response.message));
						return;
					}

					SweetAlert.error(LANGUAGE.translate("Error!"), LANGUAGE.translate(response.message));
				});
			}
		}
	]);
});
