'use strict';

define([
	'app'
], function (app) {

	app.directive("moveNext", [
		function() {
			return {
				restrict: "A",
				compile: function($scope, element) {
					return {
						pre: function (scope, element, attrs) {
							var totalInputs = element.find('input').length;
							var next = 0;
							element.find('input').eq(next).focus();

							element.on("input", function(e) {
								if(element.find('input').eq(next).val().length > 0) {
									next++;
									if(next == totalInputs) next = 0;
									element.find('input').eq(next).focus();
								}
							});
						}
					};
				}
			}
		}
	]);

});